Package org.eclipse.emf.cdo.view

# Class CDOUnitManager.UnitExistsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.emf.cdo.common.util.CDOException
org.eclipse.emf.cdo.view.CDOUnitManager.UnitExistsException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  CDOUnitManager

public static final class CDOUnitManager.UnitExistsException extends CDOException
An unchecked `CDOException` being thrown from `CDOUnitManager.createUnit()` to indicate that the given root object already is the `root` of an existing `unit`.

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnitExistsException()`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnitExistsException

public UnitExistsException()